Summary:	Userspace driver for the Chelsio T4 iWARP RNIC
Summary(pl.UTF-8):	Sterownik przestrzeni użytkownika dla kart Chelsio T4 iWARP RNIC
Name:		libibverbs-driver-cxgb4
Version:	1.3.5
Release:	1
License:	BSD or GPL v2
Group:		Libraries
Source0:	https://www.openfabrics.org/downloads/cxgb4/libcxgb4-%{version}.tar.gz
# Source0-md5:	d186d374318511c2a0c572f1433ac2c2
URL:		http://openib.org/
BuildRequires:	libibverbs-devel
# only checked for, not used
#BuildRequires:	sysfsutils-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
libcxgb4 is a userspace driver for the Chelsio T4 iWARP RNIC. It works
as a plug-in module for libibverbs that allows programs to use Chelsio
RNICs directly from userspace.

%description -l pl.UTF-8
libcxgb4 to sterownik przestrzeni użytkownika dla kart Chelsio T4
iWARP RNIC. Działa jako moduł ładowany przez libibverbs, pozwalający
programom na dostęp z przestrzeni użytkownika do interfejsów RNIC
Chelsio.

%package static
Summary:	Static version of cxgb4 driver
Summary(pl.UTF-8):	Statyczna wersja sterownika cxgb4
Group:		Development/Libraries
Requires:	libibverbs-static

%description static
Static version of cxgb4 driver, which may be linked directly into
application.

%description static -l pl.UTF-8
Statyczna wersja sterownika cxgb4, którą można wbudować bezpośrednio w
aplikację.

%prep
%setup -q -n libcxgb4-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# dlopened by -rdmav2.so name
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcxgb4.{so,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libcxgb4-rdmav2.so
%{_sysconfdir}/libibverbs.d/cxgb4.driver

%files static
%defattr(644,root,root,755)
%{_libdir}/libcxgb4.a
%changelog
* Wed Sep 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libibverbs-driver-cxgb4.git;a=log;h=master

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> b1850f3
- updated to 1.3.5

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ef8e38
- updated to 1.3.4

* Tue Mar 18 2014 Jakub Bogusz <qboosh@pld-linux.org> edcee47
- updated to 1.3.3

* Sat Mar 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d827ce
- updated to 1.3.2

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> fbb322e
- comment typo

* Fri Aug 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 9eeb479
- updated to 1.3.1

* Sat Mar 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 487b782
- updated to 1.3.0

* Wed Feb 13 2013 Jakub Bogusz <qboosh@pld-linux.org> d15081b
- updated to 1.2.1

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> afb9569
- updated to 1.2.0

* Sat Mar 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 9231f96
- updated to 1.1.1

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> f033219
- undefine __cxx to avoid g++ dep

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 9567238
- updated to 1.1.0

* Thu Sep 09 2010 Jakub Bogusz <qboosh@pld-linux.org> f0472db
- new

